#! /bin/sh
# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
#
# Author: Jiri Smid <feedback@suse.de>
#
# /etc/init.d/spesservice.sh
#
#   and symbolic its link
#
#
### BEGIN INIT INFO
# Provides: spesservice.sh
# Required-Start: $network
# Required-Stop: $network
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start the spesservice daemon
### END INIT INFO

killspesser()
{
        for i in ` ps -A -o pid,cmd|grep spes|grep -v grep|awk '{print $1}' `
        do
                processid=`echo "$i" | sed 's/ //g'`
                spesdir=`readlink /proc/$processid/exe`
                if [ "$spesdir" = "/usr/local/spes/spesservice" ] || [ "$spesdir" = "/usr/local/spes/spesservice (deleted)" ]
                then
                        #echo "$i" "$processid"
                        kill -9 $i
                fi
        done
}

#Rainbow add
#export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/spes/libs
SPESSERVICE_BIN=/usr/local/spes/spesservice
#SPESPROXY=/usr/local/spes/spesProxy
SPESRESMON=/usr/local/spes/spesresmon
test -x $SPESSERVICE_BIN || exit 5

SPESSERVICE_PIDFILE=/var/run/spesservice.pid

. /etc/rc.status

# Shell functions sourced from /etc/rc.status:
#      rc_check         check and set local and overall rc status
#      rc_status        check and set local and overall rc status
#      rc_status -v     ditto but be verbose in local rc status
#      rc_status -v -r  ditto and clear the local rc status
#      rc_failed        set local and overall rc status to failed
#      rc_reset         clear local rc status (overall remains)
#      rc_exit          exit appropriate to overall rc status

# First reset status of this service
rc_reset

SPESSERVICE_OPTS=-d
case "$1" in
    start)
       	echo -n "Starting spesservice daemon"
	## Start daemon with startproc(8). If this fails
	## the echo return value is set appropriate.

	startproc -f -p $SPESSERVICE_PIDFILE $SPESSERVICE_BIN $SPESSERVICE_OPTS 
	/etc/profile.d/acc.sh

	# Remember status and be verbose
	rc_status -v
	;;
    stop)
	echo -n "Shutting down spesservice daemon"
	## Stop daemon with killproc(8) and if this fails
	## set echo the echo return value.
	killproc -TERM $SPESRESMON
#	killproc -TERM $SPESPROXY
	spesservicepid=$(cat /var/run/spesservice.pid)
	kill -USR1 $spesservicepid
	#killproc -p $SPESSERVICE_PIDFILE -TERM $SPESSERVICE_BIN
	
	#killspesser
	
	# Remember status and be verbose
	rc_status -v
	;;
    try-restart)
        ## Stop the service and if this succeeds (i.e. the 
        ## service was running before), start it again.
        $0 status >/dev/null &&  $0 restart

        # Remember status and be quiet
        rc_status
        ;;
    restart)
        ## Stop the service and regardless of whether it was
        ## running or not, start it again.
        $0 stop
        sleep 2
        $0 start

        # Remember status and be quiet
        rc_status
        ;;
    force-reload|reload)
	## Signal the daemon to reload its config. Most daemons
	## do this on signal 1 (SIGHUP).

	echo -n "Reload service spesservice"

	killproc -p $SPESSERVICE_PIDFILE -HUP $SPESSERVICE_BIN

        rc_status -v

        ;;
    status)
	echo -n "Checking for service sshd "
        ## Check status with checkproc(8), if process is running
        ## checkproc will return with exit status 0.

        # Status has a slightly different for the status command:
        # 0 - service running
        # 1 - service dead, but /var/run/  pid  file exists
        # 2 - service dead, but /var/lock/ lock file exists
        # 3 - service not running

	checkproc -p $SPESSERVICE_PIDFILE $SPESSERVICE_BIN

	rc_status -v
	;;
    probe)
	## Optional: Probe for the necessity of a reload,
	## give out the argument which is required for a reload.

        #test /etc/ssh/sshd_config -nt $SPESSERVICE_PIDFILE && echo reload
	;;
    *)
	echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
	exit 1
	;;
esac
rc_exit
